// Body Top include -- gets all the arm bits set up and ready to rumble.


#include "transforms.inc"


#declare right_arm_parts = array[4];
#declare right_arm_parts[0] = sphere{0, 4}
#declare right_arm_parts[1] = union{}
#declare right_arm_parts[2] = union {
	cylinder{<0, 5, 0>, <0, 20, 0>, .5}
	sphere{<0, 25, 0>, 2}
	}
#declare right_arm_parts[3] = union {
	cylinder{<0, 5, 0>, <0, 23, 0>, .5}
	difference{
	sphere{<0, 0,0>, 4 scale .7*z}
	box{<-5, 5, -1>, <5, -5, -5>} 
	rotate 10*x translate 31*y}
	}

#declare right_arm  = array[4][7];
#declare right_arm[0][0] = <0, 1, 0>;
#declare right_arm[0][1] = <-90, -90, -90>;
#declare right_arm[0][2] = <0, .05, 0>;
#declare right_arm[0][3] = <-140, 1, 0>;
#declare right_arm[0][4] = <1, 0, 0>;
#declare right_arm[0][5] = <90, 1, 0>;
#declare right_arm[0][6] = <1, 0, 0>;

#declare right_arm[1][0] = <0, 0, 1>;
#declare right_arm[1][1] = <250, 250, 250>;
#declare right_arm[1][2] = <0, .01, 0>;
#declare right_arm[1][3] = <-5, 1, 0>;
#declare right_arm[1][4] = <1, 0, 0>;
#declare right_arm[1][5] = <270, 1, 0>;
#declare right_arm[1][6] = <1, 0, 0>;

#declare right_arm[2][0] = <0, 1, 0>;
#declare right_arm[2][1] = <0, 0, 0>;
#declare right_arm[2][2] = <0, 25, 0>;
#declare right_arm[2][3] = <-90, 1, 0>;
#declare right_arm[2][4] = <1, 0, 0>;
#declare right_arm[2][5] = <185, 1, 0>;
#declare right_arm[2][6] = <1, 0, 0>;

#declare right_arm[3][0] = <0, 0, 1>;
#declare right_arm[3][1] = <-40, -40, -40>;
#declare right_arm[3][2] = <0, 34, 0>;
#declare right_arm[3][3] = <-170, 1, 0>;
#declare right_arm[3][4] = <1, 0, 0>;
#declare right_arm[3][5] = <0, 1, 0>;
#declare right_arm[3][6] = <10, 0, 0>;

#declare left_arm_parts = array[4];
#declare left_arm_parts[0] = sphere{0, 4}
#declare left_arm_parts[1] = union{}
#declare left_arm_parts[2] = union {
cylinder{<0, 5, 0>, <0, 20, 0>, .5}
sphere{<0, 25, 0>, 2}
}
#declare left_arm_parts[3] = union {
cylinder{<0, 5, 0>, <0, 23, 0>, .5}
difference{
sphere{<0, 0,0>, 4 scale .7*z}
box{<-5, 5, -1>, <5, -5, -5>}
// scale 1.25*y
  rotate 10*x translate 31*y}
}



#declare left_arm  = array[4][7];
#declare left_arm[0][0] = <0, 1, 0>;
#declare left_arm[0][1] = <0, 0, 0>;
#declare left_arm[0][2] = <0, .05, 0>;
#declare left_arm[0][3] = <-90, 1, 0>;
#declare left_arm[0][4] = <1, 0, 0>;
#declare left_arm[0][5] = <140, 1, 0>;
#declare left_arm[0][6] = <1, 0, 0>;

#declare left_arm[1][0] = <0, 0, 1>;
#declare left_arm[1][1] = <-140, -140, -140>;
#declare left_arm[1][2] = <0, .01, 0>;
#declare left_arm[1][3] = <-270, 1, 0>;
#declare left_arm[1][4] = <1, 0, 0>;
#declare left_arm[1][5] = <5, 1, 0>;
#declare left_arm[1][6] = <1, 0, 0>;

#declare left_arm[2][0] = <0, 1, 0>;
#declare left_arm[2][1] = <0, 0,0>;
#declare left_arm[2][2] = <0, 25, 0>;
#declare left_arm[2][3] = <-180, 1, 0>;
#declare left_arm[2][4] = <1, 0, 0>;
#declare left_arm[2][5] = <90, 1, 0>;
#declare left_arm[2][6] = <1, 0, 0>;

#declare left_arm[3][0] = <0, 0, 1>;
#declare left_arm[3][1] = <40, 40, 40>;
#declare left_arm[3][2] = <0, 34, 0>;
#declare left_arm[3][3] = <0, 1, 0>;
#declare left_arm[3][4] = <10, 0, 0>;
#declare left_arm[3][5] = <170, 1, 0>;
#declare left_arm[3][6] = <1, 0, 0>;


#declare right_leg_parts = array[3];
#declare right_leg_parts[0] = sphere{0, 4}
#declare right_leg_parts[1] = union {
	cylinder{<0, -5, 0>, <0, -32, 0>, .5}
	sphere{<0, -38, 0>, 3}
	}
#declare right_leg_parts[2] = 
	cylinder{<0, -5, 0>, <0, -35, 0>,.5}

#declare right_leg  = array[3][7];
#declare right_leg[0][0] = <0, 1, 0>;
#declare right_leg[0][1] = <0, 0, 0>;
#declare right_leg[0][2] = <0, -.05, 0>;
#declare right_leg[0][3] = <-80, 1, 0>;
#declare right_leg[0][4] = <1, 0, 0>;
#declare right_leg[0][5] = <90, 1, 0>;
#declare right_leg[0][6] = <1, 0, 0>;

#declare right_leg[1][0] = <1, 0, 0>;
#declare right_leg[1][1] = <15, 15, 15>;
#declare right_leg[1][2] = <0, -38, 0>;
#declare right_leg[1][3] = <-60, 1, 0>;
#declare right_leg[1][4] = <1, 0, 0>;
#declare right_leg[1][5] = <150, 1, 0>;
#declare right_leg[1][6] = <1, 0, 0>;

#declare right_leg[2][0] = <1, 0, 0>;
#declare right_leg[2][1] = <-15, -15, -15>;
#declare right_leg[2][2] = <0, -38, 0>;
#declare right_leg[2][3] = <-160, 1, 0>;
#declare right_leg[2][4] = <1, 0, 0>;
#declare right_leg[2][5] = <-2, 1, 0>;
#declare right_leg[2][6] = <1, 0, 0>;

#declare left_leg_parts = array[3];
#declare left_leg_parts[0] = sphere{0, 4}
#declare left_leg_parts[1] = union {
	cylinder{<0, -5, 0>, <0, -32, 0>, .5}
	sphere{<0, -38, 0>, 3}
	}
#declare left_leg_parts[2] = 	
	cylinder{<0, -5, 0>, <0, -35, 0>, .5}


#declare left_leg  = array[3][7];
#declare left_leg[0][0] = <0, 1, 0>;
#declare left_leg[0][1] = <0, 0, 0>;
#declare left_leg[0][2] = <0, -.05, 0>;
#declare left_leg[0][3] = <-80, 1, 0>;
#declare left_leg[0][4] = <1, 0, 0>;
#declare left_leg[0][5] = <90, 1, 0>;
#declare left_leg[0][6] = <1, 0, 0>;

#declare left_leg[1][0] = <1, 0, 0>;
#declare left_leg[1][1] = <15, 15, 15>;
#declare left_leg[1][2] = <0, -38, 0>;
#declare left_leg[1][3] = <-60, 1, 0>;
#declare left_leg[1][4] = <1, 0, 0>;
#declare left_leg[1][5] = <150, 1, 0>;
#declare left_leg[1][6] = <1, 0, 0>;

#declare left_leg[2][0] = <1, 0, 0>;
#declare left_leg[2][1] = <-15, -15, -15>;
#declare left_leg[2][2] = <0, -38, 0>;
#declare left_leg[2][3] = <-160, 0, 0>;
#declare left_leg[2][4] = <1, 0, 0>;
#declare left_leg[2][5] = <-2, 0, 0>;
#declare left_leg[2][6] = <1, 0, 0>;


